import request from '@/apps/mobile/utils/request'
//  敏感词 分页查询
export function queryPagesensitiveWord(data) {
    return request({
        method: 'post',
        url: '/api/sensitiveWordss/query-page',
        data,
    });
}

//  新增
export function addsensitiveWord(data) {
    return request({
        method: 'post',
        url: '/api/sensitiveWordss/insert',
        data,
    });
}

// 删除
export function deletesensitiveWord(data) {
    return request({
        method: 'delete',
        url: '/api/sensitiveWordss/delete-batch',
        data,
    });
}

// 编辑
export function editsensitiveWord(data) {
    return request({
        method: 'put',
        url: '/api/sensitiveWordss/update',
        data,
    });
}

//  批量启用
export function useBath(data) {
    return request({
        method: 'post',
        url: '/api/sensitiveWordss/useBath',
        data,
    });
}

//  批量关闭
export function nouseBath(data) {
    return request({
        method: 'post',
        url: '/api/sensitiveWordss/nouseBath',
        data,
    });
}



//  敏感词excel导入
export function excelImport(data) {
    return request({
        method: 'post',
        url: '/api/sensitiveWordss/inputExcel',
        data,
    });
}


//  文本域批量导入
export function textareaImport(data) {
    return request({
        method: 'post',
        url: '/api/sensitiveWordss/insert',
        data,
    });
}
